# H323GatekeeperARQ Class Reference

`#include <gkserver.h>`

Inheritance diagram for H323GatekeeperARQ:

List of all members.

## Public Member Functions

| H323GatekeeperARQ (H323GatekeeperListener &listener, const H323RasPDU &pdu)
virtual PString | GetGatekeeperIdentifier () const
virtual unsigned | GetGatekeeperRejectTag () const
virtual PString | GetEndpointIdentifier () const
virtual unsigned | GetRegisteredEndPointRejectTag () const
virtual H235Authenticator::ValidationResult | ValidatePDU () const
virtual unsigned | GetSecurityRejectTag () const
virtual void | SetRejectReason (unsigned reasonCode)

## Public Attributes

H225_AdmissionRequest & | arq
H225_AdmissionConfirm & | acf
H225_AdmissionReject & | arj
PString | alternateSecurityID

## Protected Member Functions

virtual Response | OnHandlePDU ()

## Constructor & Destructor Documentation

H323GatekeeperARQ::H323GatekeeperARQ | ( | H323GatekeeperListener & | listener,
|  | const H323RasPDU & | pdu |
| ) |  |  |

## Member Function Documentation

virtual PString H323GatekeeperARQ::GetGatekeeperIdentifier | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperARQ::GetGatekeeperRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual PString H323GatekeeperARQ::GetEndpointIdentifier | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperARQ::GetRegisteredEndPointRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual H235Authenticator::ValidationResult H323GatekeeperARQ::ValidatePDU | ( |  | ) | const`[virtual]`

Implements H323Transaction.

virtual unsigned H323GatekeeperARQ::GetSecurityRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual void H323GatekeeperARQ::SetRejectReason | ( | unsigned | reasonCode | ) | `[virtual]`

Implements H323Transaction.

virtual Response H323GatekeeperARQ::OnHandlePDU | ( |  | ) | `[protected, virtual]`

Implements H323Transaction.

## Member Data Documentation

H225_AdmissionRequest& H323GatekeeperARQ::arq

H225_AdmissionConfirm& H323GatekeeperARQ::acf

H225_AdmissionReject& H323GatekeeperARQ::arj

PString H323GatekeeperARQ::alternateSecurityID

The documentation for this class was generated from the following file:

- gkserver.h